API ReferenceapipaymentsGET /v1/subscriptions/{id}

GET /v1/subscriptions/\{id\}

Service: payments · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • id (string) required

Responses

200 Subscription details

{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "customer_id": {
      "type": "string"
    },
    "stripe_subscription_id": {
      "type": "string"
    },
    "plan_id": {
      "type": "string"
    },
    "status": {
      "type": "string"
    },
    "current_period_start": {
      "type": "string"
    },
    "current_period_end": {
      "type": "string"
    },
    "cancelled_at": {
      "type": [
        "string",
        "null"
      ]
    },
    "created_at": {
      "type": "string"
    },
    "updated_at": {
      "type": "string"
    }
  },
  "required": [
    "id",
    "customer_id",
    "stripe_subscription_id",
    "plan_id",
    "status",
    "current_period_start",
    "current_period_end",
    "cancelled_at",
    "created_at",
    "updated_at"
  ]
}

404 Subscription not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://payments.platform.loop.health/v1/subscriptions/{id} \
  -H "Authorization: Bearer $ACCESS_TOKEN"